
Figure - Bug #116081
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT2】【蓝牙】与蓝牙设备连接失败时，没有弹出toast提示
2023-02-08 15:44 - CD Test赵飞

Status: CLOSED Start date: 2023-02-08

Priority: Normal Due date: 2023-02-20

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-03

Test Type: ST Root cause: 问题原因��1、原生代码中并未有该功能的逻辑实现；��2、原生中的dialog方式不满足toast的方式；��3、部分设备在配对确认时，关闭设备，pair回调出现异常��问题处理��1、添加了逻辑检查并处理了弹toast的逻辑；��2、将原生中dialog的方式调整为toast的方式；��3、将异常的pair回调特殊处理

Description

【前提条件】

1、设备已开机

2、准备一个蓝牙耳机

【测试步骤】

1、进入设置- 已连接的设备 - 与新设备配对

2、点击搜索到的蓝牙设备名称进行配对连接

3、待连接成功后，关闭蓝牙耳机

4、点击“之前连接的设备”中的蓝牙设备名称

【预期结果】

2、连接失败，弹出toast提示：无法与“xxx”进行通信

【实际结果】

2、连接失败，没有toast提示弹出

【日志】

截图见附件

Related issues:

Related to Figure - Bug # 116078: 【AF】【EVT2】【蓝牙】与蓝牙设备连接成功... CLOSED 2023-02-08 2023-02-10

History

#1 - 2023-02-08 17:21 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#2 - 2023-02-08 20:04 - CD FW 曹覃刚

- Due date set to 2023-02-10

#3 - 2023-02-17 09:44 - CD FW 曹覃刚

- Due date changed from 2023-02-10 to 2023-02-20

- Assignee changed from CD FW-程天颖 to CD FW王武军

#4 - 2023-02-17 10:29 - CD TPM-王祥林
- Target version set to VC1_FSE_0078_20230228

#5 - 2023-02-17 18:15 - CD FW王武军

【】当前状态

确认问题，复现现象

【】当前分析

在重新连接已经连接过的蓝牙设备时，出现连接不上的情况时，并未添加提示信息。

【】处理策略

分析这部分的逻辑，根据具体的情况添加提示信息。

#6 - 2023-02-21 20:07 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

183014 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:Settings: fix bluetooth connect toastAdd logic to check and show toast when deviceconnect state changed, about fail and success.TC-RID:

1201-0201801IssueID: TS-R-BUG-116081Change-Id: I979a4e205c41b4776618ba65ac1bf9c198521e21

#7 - 2023-02-21 20:09 - CD FW王武军

【】当前状态

对将该票的问题进行了处理，并且对https://share.thundersoft.com/redmine/issues/116078问题一起进行了处理。

#8 - 2023-02-21 20:11 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to CD Test赵飞

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-02-22

- Root cause set to 问题原因

原生代码中并未有该功能的逻辑实现。

问题处理

添加了逻辑检查并处理了弹toast的逻辑

#9 - 2023-02-21 20:11 - CD FW王武军

- % Done changed from 0 to 100

#10 - 2023-02-22 14:06 - CD Test赵飞

- File Screenshot_20230222-041728.png added

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD Test赵飞 to 方案组-RD3_CDTS 王浩云

- % Done changed from 100 to 40

此问题在2月22号DB版本验证通过
以下连接失败的场景也认为需要进行修改：

1、弹出配对请求弹框时，点击取消按钮

2、搜索到可用蓝牙设备后，关闭蓝牙设备，再点击蓝牙设备名称进行配对

3、弹出配对请求弹框后，关闭蓝牙设备，再点击确认按钮进行配对

@浩云，麻烦确认一下这几个蓝牙配对失败的场景是否也需要按照此bug进行修改，谢谢！

这几个场景当前的现象是弹出提示弹框，如附件截图

#11 - 2023-02-22 14:38 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD Test赵飞

场景1. 不需要

场景2. 需要，按照UE无法通信的toast提示

场景3. 需要，按照pin码不对的toast提示即可

#12 - 2023-02-23 11:13 - CD Test赵飞

- Assignee changed from CD Test赵飞 to CD FW王武军

Hi,王武军

麻烦根据以上信息，修改场景2和3中连接失败后的toast提示，谢谢

#13 - 2023-02-27 18:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184438 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:Settings: fix bluetooth connect toast(2)Change the AlertDialog to Toast on unbonded state.TC-RID: 1201-0201801IssueID: TS-R-BUG-116081Change-Id:

If77097475c85fd1bc95c7bf2a0ebe372bd5e5ca4

#14 - 2023-02-27 20:01 - CD FW王武军

【】当前状态

已经将问题2和问题3中，出现的dialog弹窗方式，调整为toast的方式

#15 - 2023-02-27 20:03 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to CD Test赵飞

- % Done changed from 40 to 100

- Root cause changed from 问题原因

原生代码中并未有该功能的逻辑实现。

问题处理
添加了逻辑检查并处理了弹toast的逻辑 to 问题原因

1、原生代码中并未有该功能的逻辑实现；

2、原生中的dialog方式不满足toast的方式

问题处理

1、添加了逻辑检查并处理了弹toast的逻辑；

2、将原生中dialog的方式调整为toast的方式

#16 - 2023-02-27 20:03 - CD FW王武军

- Fixed Version changed from 2023-02-22 to 2023-02-28

#17 - 2023-02-28 11:12 - CD Test赵飞

- File screen-20230228-110728.mp4 added

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD Test赵飞 to CD FW王武军

Hi,王武军

使用2/28版本验证，场景3没有弹出toast提示，见附件录屏，请确认，谢谢！

#18 - 2023-02-28 14:23 - CD TPM-王祥林

- Target version changed from VC1_FSE_0078_20230228 to VC1_FSE_0082_20230314

#19 - 2023-02-28 15:48 - CD FW王武军

【】当前状态

Hi，赵飞

我用本地的蓝牙音响进行了测试，现象如下：

在未配对的情况下，进行蓝牙设备的配对，在配对弹窗出现时，关闭蓝牙设备

分为两种情况：

1）不点击弹窗的取消或者配对，过一会自动会连接失败，因为这个时候蓝牙设备关闭了，设备的状态是被更新的，会出现toast；

2）点击配对，点击配对这个时候会存在两次连接的情况：（1）设备被关闭了状态更新会连接一次；（2）点击配对时会进行配对连接

两种连接都会更新连接的状态，进而出现toast，日志解读如下：

//第一次连接

02-18 01:19:13.267 13179 13206 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=0 newState=1 mNeedCheck=false

02-18 01:19:13.304 13179 13206 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=0 newState=1 mNeedCheck=true

02-18 01:19:13.324 13179 13206 I LocalBluetoothProfileManager: Failed to connect HEADSET device

02-18 01:19:13.330 13179 13206 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=1 newState=0 mNeedCheck=false

02-18 01:19:13.350 13179 13206 I LocalBluetoothProfileManager: Failed to connect A2DP device

02-18 01:19:13.354 13179 13206 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=1 newState=0 mNeedCheck=true

//第一次toast显示

02-18 01:19:13.362 13305 13305 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=0 newState=1 mNeedCheck=false

02-18 01:19:13.406 13305 13305 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=0 newState=1 mNeedCheck=true

02-18 01:19:13.442 13305 13305 I LocalBluetoothProfileManager: Failed to connect HEADSET device

02-18 01:19:13.446 13305 13305 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=1 newState=0 mNeedCheck=false

02-18 01:19:13.482 13305 13305 I LocalBluetoothProfileManager: Failed to connect A2DP device

02-18 01:19:13.486 13305 13305 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=1 newState=0 mNeedCheck=true

02-18 01:19:15.288 13305 13305 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=0 newState=1 mNeedCheck=false

02-18 01:19:15.289 13179 13206 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=0 newState=1 mNeedCheck=false

02-18 01:19:20.467 13305 13305 I LocalBluetoothProfileManager: Failed to connect HEADSET device
02-18 01:19:20.469 13179 13206 I LocalBluetoothProfileManager: Failed to connect HEADSET device

02-18 01:19:20.474 13305 13305 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=1 newState=0 mNeedCheck=false

02-18 01:19:20.479 13179 13206 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=1 newState=0 mNeedCheck=false

//第二次连接

02-18 01:19:20.499 13305 13305 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=0 newState=1 mNeedCheck=true

02-18 01:19:20.503 13179 13206 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=0 newState=1 mNeedCheck=true

02-18 01:19:25.651 13179 13206 I LocalBluetoothProfileManager: Failed to connect A2DP device

02-18 01:19:25.651 13305 13305 I LocalBluetoothProfileManager: Failed to connect A2DP device

//第二次弹toast

02-18 01:19:25.655 13179 13206 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=1 newState=0 mNeedCheck=true

02-18 01:19:25.656 13305 13305 I LocalBluetoothProfileManager: Show-toast: cachedDevice=74:A3:4A:11:A6:AD oldState=1 newState=0 mNeedCheck=true

综合来看，toast是会弹出，只是有时候显示一次和两次，两次的情况属于系统的正常连接，请确认，谢谢。

#20 - 2023-03-02 16:04 - CD FW王武军

【】当前情况

在一些设备上会存在这样的特殊情况：

在已经存在需要确认的配对弹窗时，关闭蓝牙设备，再点配对，底层的回调是将这次操作归类为BluetoothDevice.BOND_SUCCESS

触发了showUnbondMessage的逻辑。

为了弹出连接失败的toast提示消息，这里只能将BluetoothDevice.BOND_SUCCESS处理为连接失败的情况。

#21 - 2023-03-02 19:44 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185401 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:Settings: fix bluetooth connect toast(3)Handle the BluetoothDevice.BOND_SUCCESS whenpair cancel.TC-RID: 1201-0201801IssueID:

TS-R-BUG-116081Change-Id: I25a237dc8a1ffaf8bdfe25b4e45ae2e226a2174d

#22 - 2023-03-02 19:47 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to CD Test赵飞

- Fixed Version changed from 2023-02-28 to 2023-03-03

- Root cause changed from 问题原因

1、原生代码中并未有该功能的逻辑实现；

2、原生中的dialog方式不满足toast的方式

问题处理

1、添加了逻辑检查并处理了弹toast的逻辑；

2、将原生中dialog的方式调整为toast的方式 to 问题原因

1、原生代码中并未有该功能的逻辑实现；

2、原生中的dialog方式不满足toast的方式；

3、部分设备在配对确认时，关闭设备，pair回调出现异常

问题处理

1、添加了逻辑检查并处理了弹toast的逻辑；
2、将原生中dialog的方式调整为toast的方式；

3、将异常的pair回调特殊处理

#23 - 2023-03-07 09:46 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303040019

验证结果：PASS

#24 - 2023-03-07 09:50 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

UX.png 66 KB 2023-02-08 CD Test赵飞

Screenshot_20230222-041728.png 323 KB 2023-02-22 CD Test赵飞

screen-20230228-110728.mp4 19 MB 2023-02-28 CD Test赵飞
